Bug 100701 - Pivot Table: "Edit Layout" should be "Edit Pivot Table"?
Summary: Pivot Table: "Edit Layout" should be "Edit Pivot Table"?
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicUI
Depends on:
Blocks: Context-Menu Pivot-Table
  Show dependency treegraph
 
Reported: 2016-06-30 17:48 UTC by Julien Nabet
Modified: 2019-02-27 18:39 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2016-06-30 17:48:44 UTC
On pc Debian x86-64 with LO Debian package 5.1.4, I searched how to change pivot table and noticed the option was "Edit Layout".
Could it be "Edit Pivot Table" so it may be clearer?
Comment 1 m.a.riosv 2016-06-30 21:29:46 UTC
More clear.
Comment 2 Yousuf Philips (jay) (retired) 2016-10-21 10:22:48 UTC
Hi Julean,

Where did you see "Edit Layout" as i dont see it in the menu?
Comment 3 Nis Jørgensen 2016-10-22 10:55:12 UTC
> Where did you see "Edit Layout" as i dont see it in the menu?

It's in the "right-click menu" (aka context menu?). In the "top menu", the same option is hidden behind "Insert Pivot Table".

I agree that it should be renamed in the right-click menu. Preferably it would be renamed/moved in the top menu as well - to "Edit->Pivot Table" or something like that.
Comment 4 Yousuf Philips (jay) (retired) 2016-10-22 12:55:39 UTC
So the pivot table command (.uno:DataDataPilotRun) is for both inserting and editing, so there are a few labels that should be changed.

1) Menu: Data > Pivot Table > Create... -> Insert or Edit...
2) Toolbar Tooltip: Insert Pivot Table -> Insert or Edit Pivot Table
3) Context Menu: Edit Layout... -> Properties...
Comment 5 Heiko Tietze 2018-11-22 10:40:39 UTC
(In reply to Yousuf Philips (jay) (retired) from comment #4)
> 1) Menu: Data > Pivot Table > Create... -> Insert or Edit...
> 2) Toolbar Tooltip: Insert Pivot Table -> Insert or Edit Pivot Table
> 3) Context Menu: Edit Layout... -> Properties...

Let's do it.
Comment 6 Roman Kuznetsov 2018-11-22 11:28:17 UTC
(In reply to Heiko Tietze from comment #5)
> (In reply to Yousuf Philips (jay) (retired) from comment #4)
> > 1) Menu: Data > Pivot Table > Create... -> Insert or Edit...
> > 2) Toolbar Tooltip: Insert Pivot Table -> Insert or Edit Pivot Table
> > 3) Context Menu: Edit Layout... -> Properties...
> 
> Let's do it.

I don't like your solution.

I offer:

1) Menu: Data>Pivot table> Create (active for creating, disable for editing)
                           Edit (disable for creating, active for editing)
                           Refresh (disable for creating, active for editing)
                           Delete (disable for creating, active for editing)

2) Toolbar Tooltip: to have different tooltip for different case (Create for creating a Pivot and Edit when we are on sheet with existing Pivot)

3) Context Menu: Edit Layout.. -> Edit (yep, in to just "Edit")
Comment 7 Commit Notification 2019-01-11 10:09:25 UTC
Sass Dávid committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c164dbaff63d67f5e89d133c272412aaf4c5c158%5E%21

tdf#100701 UI Enhancement: unintuitive naming changed as requested in comments

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Buovjaga 2019-02-27 18:39:58 UTC
The help files need to be changed accordingly. I think this is the only one: https://helponline.libreoffice.org/6.3/en-US/text/scalc/guide/datapilot_edittable.html?DbPAR=CALC#bm_id3148663

So the file is help/source/text/scalc/guide/datapilot_edittable.xhp

An easy way to edit the files: https://wiki.documentfoundation.org/Documentation/GerritEditing